summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorQiLiang <liangqi1@huawei.com>2018-03-21 12:19:17 +0800
committerQiLiang <liangqi1@huawei.com>2018-03-21 15:41:44 +0800
commit0f1c999f546d45e87e0b8e4e7636cf0625dd206a (patch)
tree8051321c776f9450aff391e977fbb9f687eb7b7b /ci
parent19852828dbbcf602b39872303a0366626c34ca8f (diff)
Add ci entry scripts
Currently, just some dummy scripts for ci test. Scripts contents Plan: - deploy.sh is for ci daily job deploy and verify - upload.sh is for building/uploading docker image, other resources - verify.sh is for basic patch verify (e.g. ut, lint) Change-Id: If4c9ffb484a265258dcb6afaf6f479c8e394d7ee Signed-off-by: QiLiang <liangqi1@huawei.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/deploy.sh12
-rwxr-xr-xci/upload.sh15
-rwxr-xr-xci/verify.sh12
3 files changed, 39 insertions, 0 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
new file mode 100755
index 0000000..6280fd2
--- /dev/null
+++ b/ci/deploy.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+#
+# Copyright (c) Authors of Clover
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+set -ex
+
+echo "Clover deploy complete!"
diff --git a/ci/upload.sh b/ci/upload.sh
new file mode 100755
index 0000000..05ab08c
--- /dev/null
+++ b/ci/upload.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+#
+# Copyright (c) Authors of Clover
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+set -ex
+
+echo dummy > dummy
+gsutil cp dummy gs://$GS_URL/dummy
+
+echo "Clover upload complete!"
diff --git a/ci/verify.sh b/ci/verify.sh
new file mode 100755
index 0000000..c1d65a4
--- /dev/null
+++ b/ci/verify.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+#
+# Copyright (c) Authors of Clover
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+set -ex
+
+echo "Clover verify complete!"